//
//  StepperController.h
//  Stepper
//
//  Created by Phidgets on 2015-07-22.
//  Copyright (c) 2015 Phidgets. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Phidget22/phidget22.h>
#import "PhidgetInfoBox.h"

@interface StepperController : NSObject  <NSApplicationDelegate, NSTabViewDelegate, NSWindowDelegate>
{
    IBOutlet NSWindow *mainWindow;
    PhidgetStepperHandle ch;
    //PhidgetInfoBox View
    IBOutlet PhidgetInfoBox *phidgetInfoBoxView;
    IBOutlet NSBox *phidgetInfoBox;
    
    //motor status
    IBOutlet NSBox *motorStatusBox;
    IBOutlet NSTextField *motorPositionText;
    IBOutlet NSTextField *motorVelocityText;
    IBOutlet NSTextField *rescaleTextField;
    IBOutlet NSButton *engagedButton;
    IBOutlet NSTextField *motorMovingLabel;

    //tab box
    IBOutlet NSTabView *tabBox;
    //position tab
    IBOutlet NSSlider *positionAccelerationSlider;
    IBOutlet NSSlider *positionVelocityLimitSlider;
    IBOutlet NSSlider *positionTargetPositionSlider;
    IBOutlet NSSlider *positionCurrentLimitSlider;
    IBOutlet NSTextField *positionAccelerationText;
    IBOutlet NSTextField *positionVelocityLimitText;
    IBOutlet NSTextField *positionTargetPositionText;
    IBOutlet NSTextField *positionMinMaxTargetPositionTextField;
    IBOutlet NSTextField *positionCurrentLimitText;
    IBOutlet NSTextField *positionMinAccelerationLabel;
    IBOutlet NSTextField *positionMaxAccelerationLabel;
    IBOutlet NSTextField *positionMinVelocityLimitLabel;
    IBOutlet NSTextField *positionMaxVelocityLimitLabel;
    IBOutlet NSTextField *positionMinTargetPositionLabel;
    IBOutlet NSTextField *positionMaxTargetPositionLabel;
    IBOutlet NSTextField *positionMinCurrentLimitLabel;
    IBOutlet NSTextField *positionMaxCurrentLimitLabel;
    IBOutlet NSTextField *positionHoldingCurrentTextField;
    IBOutlet NSBox *positionHoldingCurrentLimitBox;
    IBOutlet NSBox *positionCurrentLimitBox;
    
    //velocity tab
    IBOutlet NSSlider *velocityAccelerationSlider;
    IBOutlet NSSlider *velocityVelocityLimitSlider;
    IBOutlet NSSlider *velocityCurrentLimitSlider;
    IBOutlet NSTextField *velocityAccelerationText;
    IBOutlet NSTextField *velocityVelocityLimitText;
    IBOutlet NSTextField *velocityCurrentLimitText;
    IBOutlet NSTextField *velocityMinAccelerationLabel;
    IBOutlet NSTextField *velocityMaxAccelerationLabel;
    IBOutlet NSTextField *velocityMinVelocityLimitLabel;
    IBOutlet NSTextField *velocityMaxVelocityLimitLabel;
    IBOutlet NSTextField *velocityMinCurrentLimitLabel;
    IBOutlet NSTextField *velocityMaxCurrentLimitLabel;
    IBOutlet NSBox *velocityCurrentyLimitBox;
    IBOutlet NSBox *velocityHoldingCurrentLimitBox;
    IBOutlet NSTextField *velocityHoldingCurrentLimitTextField;
    
    //Errors
    IBOutlet NSPanel *errorEventLogWindow;
    IBOutlet NSTextView *errorEventLog;
    IBOutlet NSTextField *errorEventLogCounter;
}

@end
